function testline(varargin)
% Lattice definition file - generated by dimad2at v1.300000 

global FAMLIST THERING GLOBVAL

GLOBVAL.E0 = 3e9;
GLOBVAL.LatticeFile = 'fodo';
FAMLIST = cell(0);

disp(' ');
disp('*** Loading lattice from fodo.m ***');

m1  =   marker('m1','DriftPass');
m2  =   marker('m2','DriftPass');
d0	=	drift('d0'	,5.000000e-001,'DriftPass');
dip	=	rbend('dip'	,1.000000e+000,0.785398,0.0,0.0,0.0,'BndMPoleSymplectic4Pass');
halfqf	=	quadrupole('halfqf'	,1.000000e-001,2,'QuadLinearPass');
halfqd	=	quadrupole('halfqd'	,1.000000e-001,-2,'QuadLinearPass');
sext    =   sextupole('sext',0.1,5,'StrMPoleSymplectic4Pass');
corr    =   multipole('corr',0.2,[0 0 0],[0.005 0 0],'StrMPoleSymplectic4Pass');

% Begin declaration of element groups and lattice.
fodo = [ halfqf d0 m1 dip m2 d0 halfqd halfqd d0 m1 dip m2 d0 halfqf ];
ring = [ fodo fodo fodo fodo ];
dipole = [d0 dip d0 ];
quadsext = [d0 halfqf d0 sext d0];
singlequad = [d0 halfqf d0];
corrector = [d0 corr d0];

if nargin > 0
    fprintf('Using lattice : %s \n', varargin{1});
    eval(['buildlat(' varargin{1} ');']);
else
    % Default lattice to load
    fprintf('Using default lattice : fodo\n');
    buildlat(fodo);
end
evalin('caller','global THERING FAMLIST GLOBVAL');
disp('** Done **');